// Code generated by mockery v2.42.3. DO NOT EDIT.

package mock_repository

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	contract "gitlab.com/commonground/nlx/fsc-nlx/manager/domain/contract"

	time "time"
)

// MockRepository is an autogenerated mock type for the Repository type
type MockRepository struct {
	mock.Mock
}

type MockRepository_Expecter struct {
	mock *mock.Mock
}

func (_m *MockRepository) EXPECT() *MockRepository_Expecter {
	return &MockRepository_Expecter{mock: &_m.Mock}
}

// DeleteFailedContractDistributions provides a mock function with given fields: ctx, peerID, contentHash, action
func (_m *MockRepository) DeleteFailedContractDistributions(ctx context.Context, peerID contract.PeerID, contentHash *contract.ContentHash, action contract.FailedDistributionAction) error {
	ret := _m.Called(ctx, peerID, contentHash, action)

	if len(ret) == 0 {
		panic("no return value specified for DeleteFailedContractDistributions")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, *contract.ContentHash, contract.FailedDistributionAction) error); ok {
		r0 = rf(ctx, peerID, contentHash, action)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_DeleteFailedContractDistributions_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'DeleteFailedContractDistributions'
type MockRepository_DeleteFailedContractDistributions_Call struct {
	*mock.Call
}

// DeleteFailedContractDistributions is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - contentHash *contract.ContentHash
//   - action contract.FailedDistributionAction
func (_e *MockRepository_Expecter) DeleteFailedContractDistributions(ctx interface{}, peerID interface{}, contentHash interface{}, action interface{}) *MockRepository_DeleteFailedContractDistributions_Call {
	return &MockRepository_DeleteFailedContractDistributions_Call{Call: _e.mock.On("DeleteFailedContractDistributions", ctx, peerID, contentHash, action)}
}

func (_c *MockRepository_DeleteFailedContractDistributions_Call) Run(run func(ctx context.Context, peerID contract.PeerID, contentHash *contract.ContentHash, action contract.FailedDistributionAction)) *MockRepository_DeleteFailedContractDistributions_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(*contract.ContentHash), args[3].(contract.FailedDistributionAction))
	})
	return _c
}

func (_c *MockRepository_DeleteFailedContractDistributions_Call) Return(_a0 error) *MockRepository_DeleteFailedContractDistributions_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_DeleteFailedContractDistributions_Call) RunAndReturn(run func(context.Context, contract.PeerID, *contract.ContentHash, contract.FailedDistributionAction) error) *MockRepository_DeleteFailedContractDistributions_Call {
	_c.Call.Return(run)
	return _c
}

// GetContentByHash provides a mock function with given fields: ctx, hash
func (_m *MockRepository) GetContentByHash(ctx context.Context, hash *contract.ContentHash) (*contract.Content, error) {
	ret := _m.Called(ctx, hash)

	if len(ret) == 0 {
		panic("no return value specified for GetContentByHash")
	}

	var r0 *contract.Content
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ContentHash) (*contract.Content, error)); ok {
		return rf(ctx, hash)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ContentHash) *contract.Content); ok {
		r0 = rf(ctx, hash)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.Content)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.ContentHash) error); ok {
		r1 = rf(ctx, hash)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetContentByHash_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetContentByHash'
type MockRepository_GetContentByHash_Call struct {
	*mock.Call
}

// GetContentByHash is a helper method to define mock.On call
//   - ctx context.Context
//   - hash *contract.ContentHash
func (_e *MockRepository_Expecter) GetContentByHash(ctx interface{}, hash interface{}) *MockRepository_GetContentByHash_Call {
	return &MockRepository_GetContentByHash_Call{Call: _e.mock.On("GetContentByHash", ctx, hash)}
}

func (_c *MockRepository_GetContentByHash_Call) Run(run func(ctx context.Context, hash *contract.ContentHash)) *MockRepository_GetContentByHash_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.ContentHash))
	})
	return _c
}

func (_c *MockRepository_GetContentByHash_Call) Return(_a0 *contract.Content, _a1 error) *MockRepository_GetContentByHash_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetContentByHash_Call) RunAndReturn(run func(context.Context, *contract.ContentHash) (*contract.Content, error)) *MockRepository_GetContentByHash_Call {
	_c.Call.Return(run)
	return _c
}

// GetContractFailedDistributionCount provides a mock function with given fields: ctx
func (_m *MockRepository) GetContractFailedDistributionCount(ctx context.Context) (int, error) {
	ret := _m.Called(ctx)

	if len(ret) == 0 {
		panic("no return value specified for GetContractFailedDistributionCount")
	}

	var r0 int
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context) (int, error)); ok {
		return rf(ctx)
	}
	if rf, ok := ret.Get(0).(func(context.Context) int); ok {
		r0 = rf(ctx)
	} else {
		r0 = ret.Get(0).(int)
	}

	if rf, ok := ret.Get(1).(func(context.Context) error); ok {
		r1 = rf(ctx)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetContractFailedDistributionCount_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetContractFailedDistributionCount'
type MockRepository_GetContractFailedDistributionCount_Call struct {
	*mock.Call
}

// GetContractFailedDistributionCount is a helper method to define mock.On call
//   - ctx context.Context
func (_e *MockRepository_Expecter) GetContractFailedDistributionCount(ctx interface{}) *MockRepository_GetContractFailedDistributionCount_Call {
	return &MockRepository_GetContractFailedDistributionCount_Call{Call: _e.mock.On("GetContractFailedDistributionCount", ctx)}
}

func (_c *MockRepository_GetContractFailedDistributionCount_Call) Run(run func(ctx context.Context)) *MockRepository_GetContractFailedDistributionCount_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context))
	})
	return _c
}

func (_c *MockRepository_GetContractFailedDistributionCount_Call) Return(_a0 int, _a1 error) *MockRepository_GetContractFailedDistributionCount_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetContractFailedDistributionCount_Call) RunAndReturn(run func(context.Context) (int, error)) *MockRepository_GetContractFailedDistributionCount_Call {
	_c.Call.Return(run)
	return _c
}

// GetContractsWaitingForSignatureCount provides a mock function with given fields: ctx, createdBefore
func (_m *MockRepository) GetContractsWaitingForSignatureCount(ctx context.Context, createdBefore *time.Time) (int, error) {
	ret := _m.Called(ctx, createdBefore)

	if len(ret) == 0 {
		panic("no return value specified for GetContractsWaitingForSignatureCount")
	}

	var r0 int
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *time.Time) (int, error)); ok {
		return rf(ctx, createdBefore)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *time.Time) int); ok {
		r0 = rf(ctx, createdBefore)
	} else {
		r0 = ret.Get(0).(int)
	}

	if rf, ok := ret.Get(1).(func(context.Context, *time.Time) error); ok {
		r1 = rf(ctx, createdBefore)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetContractsWaitingForSignatureCount_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetContractsWaitingForSignatureCount'
type MockRepository_GetContractsWaitingForSignatureCount_Call struct {
	*mock.Call
}

// GetContractsWaitingForSignatureCount is a helper method to define mock.On call
//   - ctx context.Context
//   - createdBefore *time.Time
func (_e *MockRepository_Expecter) GetContractsWaitingForSignatureCount(ctx interface{}, createdBefore interface{}) *MockRepository_GetContractsWaitingForSignatureCount_Call {
	return &MockRepository_GetContractsWaitingForSignatureCount_Call{Call: _e.mock.On("GetContractsWaitingForSignatureCount", ctx, createdBefore)}
}

func (_c *MockRepository_GetContractsWaitingForSignatureCount_Call) Run(run func(ctx context.Context, createdBefore *time.Time)) *MockRepository_GetContractsWaitingForSignatureCount_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*time.Time))
	})
	return _c
}

func (_c *MockRepository_GetContractsWaitingForSignatureCount_Call) Return(_a0 int, _a1 error) *MockRepository_GetContractsWaitingForSignatureCount_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetContractsWaitingForSignatureCount_Call) RunAndReturn(run func(context.Context, *time.Time) (int, error)) *MockRepository_GetContractsWaitingForSignatureCount_Call {
	_c.Call.Return(run)
	return _c
}

// GetFailedContractDistribution provides a mock function with given fields: ctx, contentHash, peerID, action
func (_m *MockRepository) GetFailedContractDistribution(ctx context.Context, contentHash *contract.ContentHash, peerID contract.PeerID, action contract.FailedDistributionAction) (*contract.FailedDistribution, error) {
	ret := _m.Called(ctx, contentHash, peerID, action)

	if len(ret) == 0 {
		panic("no return value specified for GetFailedContractDistribution")
	}

	var r0 *contract.FailedDistribution
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ContentHash, contract.PeerID, contract.FailedDistributionAction) (*contract.FailedDistribution, error)); ok {
		return rf(ctx, contentHash, peerID, action)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ContentHash, contract.PeerID, contract.FailedDistributionAction) *contract.FailedDistribution); ok {
		r0 = rf(ctx, contentHash, peerID, action)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.FailedDistribution)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.ContentHash, contract.PeerID, contract.FailedDistributionAction) error); ok {
		r1 = rf(ctx, contentHash, peerID, action)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetFailedContractDistribution_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetFailedContractDistribution'
type MockRepository_GetFailedContractDistribution_Call struct {
	*mock.Call
}

// GetFailedContractDistribution is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash *contract.ContentHash
//   - peerID contract.PeerID
//   - action contract.FailedDistributionAction
func (_e *MockRepository_Expecter) GetFailedContractDistribution(ctx interface{}, contentHash interface{}, peerID interface{}, action interface{}) *MockRepository_GetFailedContractDistribution_Call {
	return &MockRepository_GetFailedContractDistribution_Call{Call: _e.mock.On("GetFailedContractDistribution", ctx, contentHash, peerID, action)}
}

func (_c *MockRepository_GetFailedContractDistribution_Call) Run(run func(ctx context.Context, contentHash *contract.ContentHash, peerID contract.PeerID, action contract.FailedDistributionAction)) *MockRepository_GetFailedContractDistribution_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.ContentHash), args[2].(contract.PeerID), args[3].(contract.FailedDistributionAction))
	})
	return _c
}

func (_c *MockRepository_GetFailedContractDistribution_Call) Return(_a0 *contract.FailedDistribution, _a1 error) *MockRepository_GetFailedContractDistribution_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetFailedContractDistribution_Call) RunAndReturn(run func(context.Context, *contract.ContentHash, contract.PeerID, contract.FailedDistributionAction) (*contract.FailedDistribution, error)) *MockRepository_GetFailedContractDistribution_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeerCerts provides a mock function with given fields: ctx, id
func (_m *MockRepository) GetPeerCerts(ctx context.Context, id contract.PeerID) (*contract.PeerCertificates, error) {
	ret := _m.Called(ctx, id)

	if len(ret) == 0 {
		panic("no return value specified for GetPeerCerts")
	}

	var r0 *contract.PeerCertificates
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID) (*contract.PeerCertificates, error)); ok {
		return rf(ctx, id)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID) *contract.PeerCertificates); ok {
		r0 = rf(ctx, id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.PeerCertificates)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID) error); ok {
		r1 = rf(ctx, id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetPeerCerts_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeerCerts'
type MockRepository_GetPeerCerts_Call struct {
	*mock.Call
}

// GetPeerCerts is a helper method to define mock.On call
//   - ctx context.Context
//   - id contract.PeerID
func (_e *MockRepository_Expecter) GetPeerCerts(ctx interface{}, id interface{}) *MockRepository_GetPeerCerts_Call {
	return &MockRepository_GetPeerCerts_Call{Call: _e.mock.On("GetPeerCerts", ctx, id)}
}

func (_c *MockRepository_GetPeerCerts_Call) Run(run func(ctx context.Context, id contract.PeerID)) *MockRepository_GetPeerCerts_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID))
	})
	return _c
}

func (_c *MockRepository_GetPeerCerts_Call) Return(_a0 *contract.PeerCertificates, _a1 error) *MockRepository_GetPeerCerts_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetPeerCerts_Call) RunAndReturn(run func(context.Context, contract.PeerID) (*contract.PeerCertificates, error)) *MockRepository_GetPeerCerts_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeersCertsByCertThumbprints provides a mock function with given fields: ctx, thumbprints
func (_m *MockRepository) GetPeersCertsByCertThumbprints(ctx context.Context, thumbprints contract.CertificateThumbprints) (*contract.PeersCertificates, error) {
	ret := _m.Called(ctx, thumbprints)

	if len(ret) == 0 {
		panic("no return value specified for GetPeersCertsByCertThumbprints")
	}

	var r0 *contract.PeersCertificates
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.CertificateThumbprints) (*contract.PeersCertificates, error)); ok {
		return rf(ctx, thumbprints)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.CertificateThumbprints) *contract.PeersCertificates); ok {
		r0 = rf(ctx, thumbprints)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.PeersCertificates)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.CertificateThumbprints) error); ok {
		r1 = rf(ctx, thumbprints)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetPeersCertsByCertThumbprints_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeersCertsByCertThumbprints'
type MockRepository_GetPeersCertsByCertThumbprints_Call struct {
	*mock.Call
}

// GetPeersCertsByCertThumbprints is a helper method to define mock.On call
//   - ctx context.Context
//   - thumbprints contract.CertificateThumbprints
func (_e *MockRepository_Expecter) GetPeersCertsByCertThumbprints(ctx interface{}, thumbprints interface{}) *MockRepository_GetPeersCertsByCertThumbprints_Call {
	return &MockRepository_GetPeersCertsByCertThumbprints_Call{Call: _e.mock.On("GetPeersCertsByCertThumbprints", ctx, thumbprints)}
}

func (_c *MockRepository_GetPeersCertsByCertThumbprints_Call) Run(run func(ctx context.Context, thumbprints contract.CertificateThumbprints)) *MockRepository_GetPeersCertsByCertThumbprints_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.CertificateThumbprints))
	})
	return _c
}

func (_c *MockRepository_GetPeersCertsByCertThumbprints_Call) Return(_a0 *contract.PeersCertificates, _a1 error) *MockRepository_GetPeersCertsByCertThumbprints_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetPeersCertsByCertThumbprints_Call) RunAndReturn(run func(context.Context, contract.CertificateThumbprints) (*contract.PeersCertificates, error)) *MockRepository_GetPeersCertsByCertThumbprints_Call {
	_c.Call.Return(run)
	return _c
}

// GetServicesForOutway provides a mock function with given fields: ctx, outwayCertThumbprint
func (_m *MockRepository) GetServicesForOutway(ctx context.Context, outwayCertThumbprint string) (contract.OutwayServices, error) {
	ret := _m.Called(ctx, outwayCertThumbprint)

	if len(ret) == 0 {
		panic("no return value specified for GetServicesForOutway")
	}

	var r0 contract.OutwayServices
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (contract.OutwayServices, error)); ok {
		return rf(ctx, outwayCertThumbprint)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) contract.OutwayServices); ok {
		r0 = rf(ctx, outwayCertThumbprint)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(contract.OutwayServices)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, outwayCertThumbprint)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetServicesForOutway_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetServicesForOutway'
type MockRepository_GetServicesForOutway_Call struct {
	*mock.Call
}

// GetServicesForOutway is a helper method to define mock.On call
//   - ctx context.Context
//   - outwayCertThumbprint string
func (_e *MockRepository_Expecter) GetServicesForOutway(ctx interface{}, outwayCertThumbprint interface{}) *MockRepository_GetServicesForOutway_Call {
	return &MockRepository_GetServicesForOutway_Call{Call: _e.mock.On("GetServicesForOutway", ctx, outwayCertThumbprint)}
}

func (_c *MockRepository_GetServicesForOutway_Call) Run(run func(ctx context.Context, outwayCertThumbprint string)) *MockRepository_GetServicesForOutway_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string))
	})
	return _c
}

func (_c *MockRepository_GetServicesForOutway_Call) Return(_a0 contract.OutwayServices, _a1 error) *MockRepository_GetServicesForOutway_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetServicesForOutway_Call) RunAndReturn(run func(context.Context, string) (contract.OutwayServices, error)) *MockRepository_GetServicesForOutway_Call {
	_c.Call.Return(run)
	return _c
}

// GetTokenInfo provides a mock function with given fields: ctx, outwayPeer, selfPeer, grantHash
func (_m *MockRepository) GetTokenInfo(ctx context.Context, outwayPeer contract.PeerID, selfPeer contract.PeerID, grantHash *contract.Hash) (*contract.TokenInfo, error) {
	ret := _m.Called(ctx, outwayPeer, selfPeer, grantHash)

	if len(ret) == 0 {
		panic("no return value specified for GetTokenInfo")
	}

	var r0 *contract.TokenInfo
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, contract.PeerID, *contract.Hash) (*contract.TokenInfo, error)); ok {
		return rf(ctx, outwayPeer, selfPeer, grantHash)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, contract.PeerID, *contract.Hash) *contract.TokenInfo); ok {
		r0 = rf(ctx, outwayPeer, selfPeer, grantHash)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.TokenInfo)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, contract.PeerID, *contract.Hash) error); ok {
		r1 = rf(ctx, outwayPeer, selfPeer, grantHash)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_GetTokenInfo_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTokenInfo'
type MockRepository_GetTokenInfo_Call struct {
	*mock.Call
}

// GetTokenInfo is a helper method to define mock.On call
//   - ctx context.Context
//   - outwayPeer contract.PeerID
//   - selfPeer contract.PeerID
//   - grantHash *contract.Hash
func (_e *MockRepository_Expecter) GetTokenInfo(ctx interface{}, outwayPeer interface{}, selfPeer interface{}, grantHash interface{}) *MockRepository_GetTokenInfo_Call {
	return &MockRepository_GetTokenInfo_Call{Call: _e.mock.On("GetTokenInfo", ctx, outwayPeer, selfPeer, grantHash)}
}

func (_c *MockRepository_GetTokenInfo_Call) Run(run func(ctx context.Context, outwayPeer contract.PeerID, selfPeer contract.PeerID, grantHash *contract.Hash)) *MockRepository_GetTokenInfo_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(contract.PeerID), args[3].(*contract.Hash))
	})
	return _c
}

func (_c *MockRepository_GetTokenInfo_Call) Return(_a0 *contract.TokenInfo, _a1 error) *MockRepository_GetTokenInfo_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_GetTokenInfo_Call) RunAndReturn(run func(context.Context, contract.PeerID, contract.PeerID, *contract.Hash) (*contract.TokenInfo, error)) *MockRepository_GetTokenInfo_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsByContentHash provides a mock function with given fields: ctx, contentHashes
func (_m *MockRepository) ListContractsByContentHash(ctx context.Context, contentHashes []string) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, contentHashes)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsByContentHash")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, []string) ([]*contract.Contract, error)); ok {
		return rf(ctx, contentHashes)
	}
	if rf, ok := ret.Get(0).(func(context.Context, []string) []*contract.Contract); ok {
		r0 = rf(ctx, contentHashes)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, []string) error); ok {
		r1 = rf(ctx, contentHashes)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsByContentHash_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsByContentHash'
type MockRepository_ListContractsByContentHash_Call struct {
	*mock.Call
}

// ListContractsByContentHash is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHashes []string
func (_e *MockRepository_Expecter) ListContractsByContentHash(ctx interface{}, contentHashes interface{}) *MockRepository_ListContractsByContentHash_Call {
	return &MockRepository_ListContractsByContentHash_Call{Call: _e.mock.On("ListContractsByContentHash", ctx, contentHashes)}
}

func (_c *MockRepository_ListContractsByContentHash_Call) Run(run func(ctx context.Context, contentHashes []string)) *MockRepository_ListContractsByContentHash_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].([]string))
	})
	return _c
}

func (_c *MockRepository_ListContractsByContentHash_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsByContentHash_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsByContentHash_Call) RunAndReturn(run func(context.Context, []string) ([]*contract.Contract, error)) *MockRepository_ListContractsByContentHash_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsForPeer provides a mock function with given fields: ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListContractsForPeer(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsForPeer")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)); ok {
		return rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) []*contract.Contract); ok {
		r0 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsForPeer_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsForPeer'
type MockRepository_ListContractsForPeer_Call struct {
	*mock.Call
}

// ListContractsForPeer is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListContractsForPeer(ctx interface{}, peerID interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListContractsForPeer_Call {
	return &MockRepository_ListContractsForPeer_Call{Call: _e.mock.On("ListContractsForPeer", ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListContractsForPeer_Call) Run(run func(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListContractsForPeer_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(string), args[3].(uint32), args[4].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListContractsForPeer_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsForPeer_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsForPeer_Call) RunAndReturn(run func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)) *MockRepository_ListContractsForPeer_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsForPeerByGrantHashes provides a mock function with given fields: ctx, peerID, grantHashes
func (_m *MockRepository) ListContractsForPeerByGrantHashes(ctx context.Context, peerID contract.PeerID, grantHashes []string) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, peerID, grantHashes)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsForPeerByGrantHashes")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, []string) ([]*contract.Contract, error)); ok {
		return rf(ctx, peerID, grantHashes)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, []string) []*contract.Contract); ok {
		r0 = rf(ctx, peerID, grantHashes)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, []string) error); ok {
		r1 = rf(ctx, peerID, grantHashes)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsForPeerByGrantHashes_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsForPeerByGrantHashes'
type MockRepository_ListContractsForPeerByGrantHashes_Call struct {
	*mock.Call
}

// ListContractsForPeerByGrantHashes is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - grantHashes []string
func (_e *MockRepository_Expecter) ListContractsForPeerByGrantHashes(ctx interface{}, peerID interface{}, grantHashes interface{}) *MockRepository_ListContractsForPeerByGrantHashes_Call {
	return &MockRepository_ListContractsForPeerByGrantHashes_Call{Call: _e.mock.On("ListContractsForPeerByGrantHashes", ctx, peerID, grantHashes)}
}

func (_c *MockRepository_ListContractsForPeerByGrantHashes_Call) Run(run func(ctx context.Context, peerID contract.PeerID, grantHashes []string)) *MockRepository_ListContractsForPeerByGrantHashes_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].([]string))
	})
	return _c
}

func (_c *MockRepository_ListContractsForPeerByGrantHashes_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsForPeerByGrantHashes_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsForPeerByGrantHashes_Call) RunAndReturn(run func(context.Context, contract.PeerID, []string) ([]*contract.Contract, error)) *MockRepository_ListContractsForPeerByGrantHashes_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsForPeerWithDelegatedServiceConnectionGrant provides a mock function with given fields: ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListContractsForPeerWithDelegatedServiceConnectionGrant(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsForPeerWithDelegatedServiceConnectionGrant")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)); ok {
		return rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) []*contract.Contract); ok {
		r0 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsForPeerWithDelegatedServiceConnectionGrant'
type MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call struct {
	*mock.Call
}

// ListContractsForPeerWithDelegatedServiceConnectionGrant is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListContractsForPeerWithDelegatedServiceConnectionGrant(ctx interface{}, peerID interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call {
	return &MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call{Call: _e.mock.On("ListContractsForPeerWithDelegatedServiceConnectionGrant", ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call) Run(run func(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(string), args[3].(uint32), args[4].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call) RunAndReturn(run func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)) *MockRepository_ListContractsForPeerWithDelegatedServiceConnectionGrant_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsForPeerWithDelegatedServicePublicationGrant provides a mock function with given fields: ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListContractsForPeerWithDelegatedServicePublicationGrant(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsForPeerWithDelegatedServicePublicationGrant")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)); ok {
		return rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) []*contract.Contract); ok {
		r0 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsForPeerWithDelegatedServicePublicationGrant'
type MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call struct {
	*mock.Call
}

// ListContractsForPeerWithDelegatedServicePublicationGrant is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListContractsForPeerWithDelegatedServicePublicationGrant(ctx interface{}, peerID interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call {
	return &MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call{Call: _e.mock.On("ListContractsForPeerWithDelegatedServicePublicationGrant", ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call) Run(run func(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(string), args[3].(uint32), args[4].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call) RunAndReturn(run func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)) *MockRepository_ListContractsForPeerWithDelegatedServicePublicationGrant_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsForPeerWithServiceConnectionGrant provides a mock function with given fields: ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListContractsForPeerWithServiceConnectionGrant(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsForPeerWithServiceConnectionGrant")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)); ok {
		return rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) []*contract.Contract); ok {
		r0 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsForPeerWithServiceConnectionGrant'
type MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call struct {
	*mock.Call
}

// ListContractsForPeerWithServiceConnectionGrant is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListContractsForPeerWithServiceConnectionGrant(ctx interface{}, peerID interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call {
	return &MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call{Call: _e.mock.On("ListContractsForPeerWithServiceConnectionGrant", ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call) Run(run func(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(string), args[3].(uint32), args[4].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call) RunAndReturn(run func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)) *MockRepository_ListContractsForPeerWithServiceConnectionGrant_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsForPeerWithServicePublicationGrant provides a mock function with given fields: ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListContractsForPeerWithServicePublicationGrant(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsForPeerWithServicePublicationGrant")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)); ok {
		return rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) []*contract.Contract); ok {
		r0 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsForPeerWithServicePublicationGrant_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsForPeerWithServicePublicationGrant'
type MockRepository_ListContractsForPeerWithServicePublicationGrant_Call struct {
	*mock.Call
}

// ListContractsForPeerWithServicePublicationGrant is a helper method to define mock.On call
//   - ctx context.Context
//   - peerID contract.PeerID
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListContractsForPeerWithServicePublicationGrant(ctx interface{}, peerID interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call {
	return &MockRepository_ListContractsForPeerWithServicePublicationGrant_Call{Call: _e.mock.On("ListContractsForPeerWithServicePublicationGrant", ctx, peerID, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call) Run(run func(ctx context.Context, peerID contract.PeerID, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeerID), args[2].(string), args[3].(uint32), args[4].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call) RunAndReturn(run func(context.Context, contract.PeerID, string, uint32, contract.SortOrder) ([]*contract.Contract, error)) *MockRepository_ListContractsForPeerWithServicePublicationGrant_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsPending provides a mock function with given fields: args
func (_m *MockRepository) ListContractsPending(args *contract.ListContractsPendingArgs) (*contract.PendingContracts, error) {
	ret := _m.Called(args)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsPending")
	}

	var r0 *contract.PendingContracts
	var r1 error
	if rf, ok := ret.Get(0).(func(*contract.ListContractsPendingArgs) (*contract.PendingContracts, error)); ok {
		return rf(args)
	}
	if rf, ok := ret.Get(0).(func(*contract.ListContractsPendingArgs) *contract.PendingContracts); ok {
		r0 = rf(args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.PendingContracts)
		}
	}

	if rf, ok := ret.Get(1).(func(*contract.ListContractsPendingArgs) error); ok {
		r1 = rf(args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsPending_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsPending'
type MockRepository_ListContractsPending_Call struct {
	*mock.Call
}

// ListContractsPending is a helper method to define mock.On call
//   - args *contract.ListContractsPendingArgs
func (_e *MockRepository_Expecter) ListContractsPending(args interface{}) *MockRepository_ListContractsPending_Call {
	return &MockRepository_ListContractsPending_Call{Call: _e.mock.On("ListContractsPending", args)}
}

func (_c *MockRepository_ListContractsPending_Call) Run(run func(args *contract.ListContractsPendingArgs)) *MockRepository_ListContractsPending_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*contract.ListContractsPendingArgs))
	})
	return _c
}

func (_c *MockRepository_ListContractsPending_Call) Return(_a0 *contract.PendingContracts, _a1 error) *MockRepository_ListContractsPending_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsPending_Call) RunAndReturn(run func(*contract.ListContractsPendingArgs) (*contract.PendingContracts, error)) *MockRepository_ListContractsPending_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsWithGrantTypeFilter provides a mock function with given fields: ctx, args
func (_m *MockRepository) ListContractsWithGrantTypeFilter(ctx context.Context, args *contract.ListContractsWithGrantTypeFilterArgs) ([]*contract.Contract, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsWithGrantTypeFilter")
	}

	var r0 []*contract.Contract
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ListContractsWithGrantTypeFilterArgs) ([]*contract.Contract, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ListContractsWithGrantTypeFilterArgs) []*contract.Contract); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Contract)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.ListContractsWithGrantTypeFilterArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListContractsWithGrantTypeFilter_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsWithGrantTypeFilter'
type MockRepository_ListContractsWithGrantTypeFilter_Call struct {
	*mock.Call
}

// ListContractsWithGrantTypeFilter is a helper method to define mock.On call
//   - ctx context.Context
//   - args *contract.ListContractsWithGrantTypeFilterArgs
func (_e *MockRepository_Expecter) ListContractsWithGrantTypeFilter(ctx interface{}, args interface{}) *MockRepository_ListContractsWithGrantTypeFilter_Call {
	return &MockRepository_ListContractsWithGrantTypeFilter_Call{Call: _e.mock.On("ListContractsWithGrantTypeFilter", ctx, args)}
}

func (_c *MockRepository_ListContractsWithGrantTypeFilter_Call) Run(run func(ctx context.Context, args *contract.ListContractsWithGrantTypeFilterArgs)) *MockRepository_ListContractsWithGrantTypeFilter_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.ListContractsWithGrantTypeFilterArgs))
	})
	return _c
}

func (_c *MockRepository_ListContractsWithGrantTypeFilter_Call) Return(_a0 []*contract.Contract, _a1 error) *MockRepository_ListContractsWithGrantTypeFilter_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListContractsWithGrantTypeFilter_Call) RunAndReturn(run func(context.Context, *contract.ListContractsWithGrantTypeFilterArgs) ([]*contract.Contract, error)) *MockRepository_ListContractsWithGrantTypeFilter_Call {
	_c.Call.Return(run)
	return _c
}

// ListDelegatedConnections provides a mock function with given fields: ctx, args
func (_m *MockRepository) ListDelegatedConnections(ctx context.Context, args *contract.ListDelegatedConnectionsArgs) (*contract.DelegatedConnections, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListDelegatedConnections")
	}

	var r0 *contract.DelegatedConnections
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ListDelegatedConnectionsArgs) (*contract.DelegatedConnections, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ListDelegatedConnectionsArgs) *contract.DelegatedConnections); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.DelegatedConnections)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.ListDelegatedConnectionsArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListDelegatedConnections_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListDelegatedConnections'
type MockRepository_ListDelegatedConnections_Call struct {
	*mock.Call
}

// ListDelegatedConnections is a helper method to define mock.On call
//   - ctx context.Context
//   - args *contract.ListDelegatedConnectionsArgs
func (_e *MockRepository_Expecter) ListDelegatedConnections(ctx interface{}, args interface{}) *MockRepository_ListDelegatedConnections_Call {
	return &MockRepository_ListDelegatedConnections_Call{Call: _e.mock.On("ListDelegatedConnections", ctx, args)}
}

func (_c *MockRepository_ListDelegatedConnections_Call) Run(run func(ctx context.Context, args *contract.ListDelegatedConnectionsArgs)) *MockRepository_ListDelegatedConnections_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.ListDelegatedConnectionsArgs))
	})
	return _c
}

func (_c *MockRepository_ListDelegatedConnections_Call) Return(_a0 *contract.DelegatedConnections, _a1 error) *MockRepository_ListDelegatedConnections_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListDelegatedConnections_Call) RunAndReturn(run func(context.Context, *contract.ListDelegatedConnectionsArgs) (*contract.DelegatedConnections, error)) *MockRepository_ListDelegatedConnections_Call {
	_c.Call.Return(run)
	return _c
}

// ListDelegatedServicePublications provides a mock function with given fields: args
func (_m *MockRepository) ListDelegatedServicePublications(args *contract.ListDelegatedPublicationsArgs) (*contract.Publications, error) {
	ret := _m.Called(args)

	if len(ret) == 0 {
		panic("no return value specified for ListDelegatedServicePublications")
	}

	var r0 *contract.Publications
	var r1 error
	if rf, ok := ret.Get(0).(func(*contract.ListDelegatedPublicationsArgs) (*contract.Publications, error)); ok {
		return rf(args)
	}
	if rf, ok := ret.Get(0).(func(*contract.ListDelegatedPublicationsArgs) *contract.Publications); ok {
		r0 = rf(args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.Publications)
		}
	}

	if rf, ok := ret.Get(1).(func(*contract.ListDelegatedPublicationsArgs) error); ok {
		r1 = rf(args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListDelegatedServicePublications_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListDelegatedServicePublications'
type MockRepository_ListDelegatedServicePublications_Call struct {
	*mock.Call
}

// ListDelegatedServicePublications is a helper method to define mock.On call
//   - args *contract.ListDelegatedPublicationsArgs
func (_e *MockRepository_Expecter) ListDelegatedServicePublications(args interface{}) *MockRepository_ListDelegatedServicePublications_Call {
	return &MockRepository_ListDelegatedServicePublications_Call{Call: _e.mock.On("ListDelegatedServicePublications", args)}
}

func (_c *MockRepository_ListDelegatedServicePublications_Call) Run(run func(args *contract.ListDelegatedPublicationsArgs)) *MockRepository_ListDelegatedServicePublications_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*contract.ListDelegatedPublicationsArgs))
	})
	return _c
}

func (_c *MockRepository_ListDelegatedServicePublications_Call) Return(_a0 *contract.Publications, _a1 error) *MockRepository_ListDelegatedServicePublications_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListDelegatedServicePublications_Call) RunAndReturn(run func(*contract.ListDelegatedPublicationsArgs) (*contract.Publications, error)) *MockRepository_ListDelegatedServicePublications_Call {
	_c.Call.Return(run)
	return _c
}

// ListDirectoryPeers provides a mock function with given fields: ctx
func (_m *MockRepository) ListDirectoryPeers(ctx context.Context) ([]*contract.Peer, error) {
	ret := _m.Called(ctx)

	if len(ret) == 0 {
		panic("no return value specified for ListDirectoryPeers")
	}

	var r0 []*contract.Peer
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context) ([]*contract.Peer, error)); ok {
		return rf(ctx)
	}
	if rf, ok := ret.Get(0).(func(context.Context) []*contract.Peer); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Peer)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context) error); ok {
		r1 = rf(ctx)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListDirectoryPeers_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListDirectoryPeers'
type MockRepository_ListDirectoryPeers_Call struct {
	*mock.Call
}

// ListDirectoryPeers is a helper method to define mock.On call
//   - ctx context.Context
func (_e *MockRepository_Expecter) ListDirectoryPeers(ctx interface{}) *MockRepository_ListDirectoryPeers_Call {
	return &MockRepository_ListDirectoryPeers_Call{Call: _e.mock.On("ListDirectoryPeers", ctx)}
}

func (_c *MockRepository_ListDirectoryPeers_Call) Run(run func(ctx context.Context)) *MockRepository_ListDirectoryPeers_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context))
	})
	return _c
}

func (_c *MockRepository_ListDirectoryPeers_Call) Return(_a0 []*contract.Peer, _a1 error) *MockRepository_ListDirectoryPeers_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListDirectoryPeers_Call) RunAndReturn(run func(context.Context) ([]*contract.Peer, error)) *MockRepository_ListDirectoryPeers_Call {
	_c.Call.Return(run)
	return _c
}

// ListFailedContractDistributions provides a mock function with given fields: ctx, contentHash
func (_m *MockRepository) ListFailedContractDistributions(ctx context.Context, contentHash *contract.ContentHash) ([]*contract.FailedDistribution, error) {
	ret := _m.Called(ctx, contentHash)

	if len(ret) == 0 {
		panic("no return value specified for ListFailedContractDistributions")
	}

	var r0 []*contract.FailedDistribution
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ContentHash) ([]*contract.FailedDistribution, error)); ok {
		return rf(ctx, contentHash)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ContentHash) []*contract.FailedDistribution); ok {
		r0 = rf(ctx, contentHash)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.FailedDistribution)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.ContentHash) error); ok {
		r1 = rf(ctx, contentHash)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListFailedContractDistributions_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListFailedContractDistributions'
type MockRepository_ListFailedContractDistributions_Call struct {
	*mock.Call
}

// ListFailedContractDistributions is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash *contract.ContentHash
func (_e *MockRepository_Expecter) ListFailedContractDistributions(ctx interface{}, contentHash interface{}) *MockRepository_ListFailedContractDistributions_Call {
	return &MockRepository_ListFailedContractDistributions_Call{Call: _e.mock.On("ListFailedContractDistributions", ctx, contentHash)}
}

func (_c *MockRepository_ListFailedContractDistributions_Call) Run(run func(ctx context.Context, contentHash *contract.ContentHash)) *MockRepository_ListFailedContractDistributions_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.ContentHash))
	})
	return _c
}

func (_c *MockRepository_ListFailedContractDistributions_Call) Return(_a0 []*contract.FailedDistribution, _a1 error) *MockRepository_ListFailedContractDistributions_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListFailedContractDistributions_Call) RunAndReturn(run func(context.Context, *contract.ContentHash) ([]*contract.FailedDistribution, error)) *MockRepository_ListFailedContractDistributions_Call {
	_c.Call.Return(run)
	return _c
}

// ListIncomingConnections provides a mock function with given fields: ctx, args
func (_m *MockRepository) ListIncomingConnections(ctx context.Context, args *contract.ListIncomingConnectionsArgs) (*contract.IncomingConnections, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListIncomingConnections")
	}

	var r0 *contract.IncomingConnections
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ListIncomingConnectionsArgs) (*contract.IncomingConnections, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.ListIncomingConnectionsArgs) *contract.IncomingConnections); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.IncomingConnections)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.ListIncomingConnectionsArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListIncomingConnections_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListIncomingConnections'
type MockRepository_ListIncomingConnections_Call struct {
	*mock.Call
}

// ListIncomingConnections is a helper method to define mock.On call
//   - ctx context.Context
//   - args *contract.ListIncomingConnectionsArgs
func (_e *MockRepository_Expecter) ListIncomingConnections(ctx interface{}, args interface{}) *MockRepository_ListIncomingConnections_Call {
	return &MockRepository_ListIncomingConnections_Call{Call: _e.mock.On("ListIncomingConnections", ctx, args)}
}

func (_c *MockRepository_ListIncomingConnections_Call) Run(run func(ctx context.Context, args *contract.ListIncomingConnectionsArgs)) *MockRepository_ListIncomingConnections_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.ListIncomingConnectionsArgs))
	})
	return _c
}

func (_c *MockRepository_ListIncomingConnections_Call) Return(_a0 *contract.IncomingConnections, _a1 error) *MockRepository_ListIncomingConnections_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListIncomingConnections_Call) RunAndReturn(run func(context.Context, *contract.ListIncomingConnectionsArgs) (*contract.IncomingConnections, error)) *MockRepository_ListIncomingConnections_Call {
	_c.Call.Return(run)
	return _c
}

// ListOutgoingConnections provides a mock function with given fields: args
func (_m *MockRepository) ListOutgoingConnections(args *contract.ListOutgoingConnectionsArgs) (*contract.OutgoingConnections, error) {
	ret := _m.Called(args)

	if len(ret) == 0 {
		panic("no return value specified for ListOutgoingConnections")
	}

	var r0 *contract.OutgoingConnections
	var r1 error
	if rf, ok := ret.Get(0).(func(*contract.ListOutgoingConnectionsArgs) (*contract.OutgoingConnections, error)); ok {
		return rf(args)
	}
	if rf, ok := ret.Get(0).(func(*contract.ListOutgoingConnectionsArgs) *contract.OutgoingConnections); ok {
		r0 = rf(args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.OutgoingConnections)
		}
	}

	if rf, ok := ret.Get(1).(func(*contract.ListOutgoingConnectionsArgs) error); ok {
		r1 = rf(args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListOutgoingConnections_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListOutgoingConnections'
type MockRepository_ListOutgoingConnections_Call struct {
	*mock.Call
}

// ListOutgoingConnections is a helper method to define mock.On call
//   - args *contract.ListOutgoingConnectionsArgs
func (_e *MockRepository_Expecter) ListOutgoingConnections(args interface{}) *MockRepository_ListOutgoingConnections_Call {
	return &MockRepository_ListOutgoingConnections_Call{Call: _e.mock.On("ListOutgoingConnections", args)}
}

func (_c *MockRepository_ListOutgoingConnections_Call) Run(run func(args *contract.ListOutgoingConnectionsArgs)) *MockRepository_ListOutgoingConnections_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*contract.ListOutgoingConnectionsArgs))
	})
	return _c
}

func (_c *MockRepository_ListOutgoingConnections_Call) Return(_a0 *contract.OutgoingConnections, _a1 error) *MockRepository_ListOutgoingConnections_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListOutgoingConnections_Call) RunAndReturn(run func(*contract.ListOutgoingConnectionsArgs) (*contract.OutgoingConnections, error)) *MockRepository_ListOutgoingConnections_Call {
	_c.Call.Return(run)
	return _c
}

// ListOutgoingConnectionsForService provides a mock function with given fields: args
func (_m *MockRepository) ListOutgoingConnectionsForService(args *contract.ListOutgoingConnectionsForServiceArgs) ([]*contract.Connection, error) {
	ret := _m.Called(args)

	if len(ret) == 0 {
		panic("no return value specified for ListOutgoingConnectionsForService")
	}

	var r0 []*contract.Connection
	var r1 error
	if rf, ok := ret.Get(0).(func(*contract.ListOutgoingConnectionsForServiceArgs) ([]*contract.Connection, error)); ok {
		return rf(args)
	}
	if rf, ok := ret.Get(0).(func(*contract.ListOutgoingConnectionsForServiceArgs) []*contract.Connection); ok {
		r0 = rf(args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Connection)
		}
	}

	if rf, ok := ret.Get(1).(func(*contract.ListOutgoingConnectionsForServiceArgs) error); ok {
		r1 = rf(args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListOutgoingConnectionsForService_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListOutgoingConnectionsForService'
type MockRepository_ListOutgoingConnectionsForService_Call struct {
	*mock.Call
}

// ListOutgoingConnectionsForService is a helper method to define mock.On call
//   - args *contract.ListOutgoingConnectionsForServiceArgs
func (_e *MockRepository_Expecter) ListOutgoingConnectionsForService(args interface{}) *MockRepository_ListOutgoingConnectionsForService_Call {
	return &MockRepository_ListOutgoingConnectionsForService_Call{Call: _e.mock.On("ListOutgoingConnectionsForService", args)}
}

func (_c *MockRepository_ListOutgoingConnectionsForService_Call) Run(run func(args *contract.ListOutgoingConnectionsForServiceArgs)) *MockRepository_ListOutgoingConnectionsForService_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*contract.ListOutgoingConnectionsForServiceArgs))
	})
	return _c
}

func (_c *MockRepository_ListOutgoingConnectionsForService_Call) Return(_a0 []*contract.Connection, _a1 error) *MockRepository_ListOutgoingConnectionsForService_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListOutgoingConnectionsForService_Call) RunAndReturn(run func(*contract.ListOutgoingConnectionsForServiceArgs) ([]*contract.Connection, error)) *MockRepository_ListOutgoingConnectionsForService_Call {
	_c.Call.Return(run)
	return _c
}

// ListPeers provides a mock function with given fields: ctx, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListPeers(ctx context.Context, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Peer, error) {
	ret := _m.Called(ctx, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListPeers")
	}

	var r0 []*contract.Peer
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, uint32, contract.SortOrder) ([]*contract.Peer, error)); ok {
		return rf(ctx, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, uint32, contract.SortOrder) []*contract.Peer); ok {
		r0 = rf(ctx, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Peer)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListPeers_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListPeers'
type MockRepository_ListPeers_Call struct {
	*mock.Call
}

// ListPeers is a helper method to define mock.On call
//   - ctx context.Context
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListPeers(ctx interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListPeers_Call {
	return &MockRepository_ListPeers_Call{Call: _e.mock.On("ListPeers", ctx, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListPeers_Call) Run(run func(ctx context.Context, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListPeers_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(uint32), args[3].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListPeers_Call) Return(_a0 []*contract.Peer, _a1 error) *MockRepository_ListPeers_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListPeers_Call) RunAndReturn(run func(context.Context, string, uint32, contract.SortOrder) ([]*contract.Peer, error)) *MockRepository_ListPeers_Call {
	_c.Call.Return(run)
	return _c
}

// ListPeersByID provides a mock function with given fields: ctx, peerIDs
func (_m *MockRepository) ListPeersByID(ctx context.Context, peerIDs contract.PeersIDs) (contract.Peers, error) {
	ret := _m.Called(ctx, peerIDs)

	if len(ret) == 0 {
		panic("no return value specified for ListPeersByID")
	}

	var r0 contract.Peers
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeersIDs) (contract.Peers, error)); ok {
		return rf(ctx, peerIDs)
	}
	if rf, ok := ret.Get(0).(func(context.Context, contract.PeersIDs) contract.Peers); ok {
		r0 = rf(ctx, peerIDs)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(contract.Peers)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, contract.PeersIDs) error); ok {
		r1 = rf(ctx, peerIDs)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListPeersByID_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListPeersByID'
type MockRepository_ListPeersByID_Call struct {
	*mock.Call
}

// ListPeersByID is a helper method to define mock.On call
//   - ctx context.Context
//   - peerIDs contract.PeersIDs
func (_e *MockRepository_Expecter) ListPeersByID(ctx interface{}, peerIDs interface{}) *MockRepository_ListPeersByID_Call {
	return &MockRepository_ListPeersByID_Call{Call: _e.mock.On("ListPeersByID", ctx, peerIDs)}
}

func (_c *MockRepository_ListPeersByID_Call) Run(run func(ctx context.Context, peerIDs contract.PeersIDs)) *MockRepository_ListPeersByID_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(contract.PeersIDs))
	})
	return _c
}

func (_c *MockRepository_ListPeersByID_Call) Return(_a0 contract.Peers, _a1 error) *MockRepository_ListPeersByID_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListPeersByID_Call) RunAndReturn(run func(context.Context, contract.PeersIDs) (contract.Peers, error)) *MockRepository_ListPeersByID_Call {
	_c.Call.Return(run)
	return _c
}

// ListPeersByName provides a mock function with given fields: ctx, peerName, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListPeersByName(ctx context.Context, peerName string, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Peer, error) {
	ret := _m.Called(ctx, peerName, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListPeersByName")
	}

	var r0 []*contract.Peer
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string, uint32, contract.SortOrder) ([]*contract.Peer, error)); ok {
		return rf(ctx, peerName, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, string, uint32, contract.SortOrder) []*contract.Peer); ok {
		r0 = rf(ctx, peerName, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Peer)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peerName, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListPeersByName_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListPeersByName'
type MockRepository_ListPeersByName_Call struct {
	*mock.Call
}

// ListPeersByName is a helper method to define mock.On call
//   - ctx context.Context
//   - peerName string
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListPeersByName(ctx interface{}, peerName interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListPeersByName_Call {
	return &MockRepository_ListPeersByName_Call{Call: _e.mock.On("ListPeersByName", ctx, peerName, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListPeersByName_Call) Run(run func(ctx context.Context, peerName string, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListPeersByName_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(uint32), args[4].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListPeersByName_Call) Return(_a0 []*contract.Peer, _a1 error) *MockRepository_ListPeersByName_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListPeersByName_Call) RunAndReturn(run func(context.Context, string, string, uint32, contract.SortOrder) ([]*contract.Peer, error)) *MockRepository_ListPeersByName_Call {
	_c.Call.Return(run)
	return _c
}

// ListServicePublications provides a mock function with given fields: args
func (_m *MockRepository) ListServicePublications(args *contract.ListPublicationsArgs) (*contract.Publications, error) {
	ret := _m.Called(args)

	if len(ret) == 0 {
		panic("no return value specified for ListServicePublications")
	}

	var r0 *contract.Publications
	var r1 error
	if rf, ok := ret.Get(0).(func(*contract.ListPublicationsArgs) (*contract.Publications, error)); ok {
		return rf(args)
	}
	if rf, ok := ret.Get(0).(func(*contract.ListPublicationsArgs) *contract.Publications); ok {
		r0 = rf(args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*contract.Publications)
		}
	}

	if rf, ok := ret.Get(1).(func(*contract.ListPublicationsArgs) error); ok {
		r1 = rf(args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListServicePublications_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListServicePublications'
type MockRepository_ListServicePublications_Call struct {
	*mock.Call
}

// ListServicePublications is a helper method to define mock.On call
//   - args *contract.ListPublicationsArgs
func (_e *MockRepository_Expecter) ListServicePublications(args interface{}) *MockRepository_ListServicePublications_Call {
	return &MockRepository_ListServicePublications_Call{Call: _e.mock.On("ListServicePublications", args)}
}

func (_c *MockRepository_ListServicePublications_Call) Run(run func(args *contract.ListPublicationsArgs)) *MockRepository_ListServicePublications_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*contract.ListPublicationsArgs))
	})
	return _c
}

func (_c *MockRepository_ListServicePublications_Call) Return(_a0 *contract.Publications, _a1 error) *MockRepository_ListServicePublications_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListServicePublications_Call) RunAndReturn(run func(*contract.ListPublicationsArgs) (*contract.Publications, error)) *MockRepository_ListServicePublications_Call {
	_c.Call.Return(run)
	return _c
}

// ListServices provides a mock function with given fields: ctx, peertID, serviceName, paginationStartID, paginationLimit, paginationSortOrder
func (_m *MockRepository) ListServices(ctx context.Context, peertID *contract.PeerID, serviceName string, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder) ([]*contract.Service, error) {
	ret := _m.Called(ctx, peertID, serviceName, paginationStartID, paginationLimit, paginationSortOrder)

	if len(ret) == 0 {
		panic("no return value specified for ListServices")
	}

	var r0 []*contract.Service
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.PeerID, string, string, uint32, contract.SortOrder) ([]*contract.Service, error)); ok {
		return rf(ctx, peertID, serviceName, paginationStartID, paginationLimit, paginationSortOrder)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *contract.PeerID, string, string, uint32, contract.SortOrder) []*contract.Service); ok {
		r0 = rf(ctx, peertID, serviceName, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*contract.Service)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *contract.PeerID, string, string, uint32, contract.SortOrder) error); ok {
		r1 = rf(ctx, peertID, serviceName, paginationStartID, paginationLimit, paginationSortOrder)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockRepository_ListServices_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListServices'
type MockRepository_ListServices_Call struct {
	*mock.Call
}

// ListServices is a helper method to define mock.On call
//   - ctx context.Context
//   - peertID *contract.PeerID
//   - serviceName string
//   - paginationStartID string
//   - paginationLimit uint32
//   - paginationSortOrder contract.SortOrder
func (_e *MockRepository_Expecter) ListServices(ctx interface{}, peertID interface{}, serviceName interface{}, paginationStartID interface{}, paginationLimit interface{}, paginationSortOrder interface{}) *MockRepository_ListServices_Call {
	return &MockRepository_ListServices_Call{Call: _e.mock.On("ListServices", ctx, peertID, serviceName, paginationStartID, paginationLimit, paginationSortOrder)}
}

func (_c *MockRepository_ListServices_Call) Run(run func(ctx context.Context, peertID *contract.PeerID, serviceName string, paginationStartID string, paginationLimit uint32, paginationSortOrder contract.SortOrder)) *MockRepository_ListServices_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.PeerID), args[2].(string), args[3].(string), args[4].(uint32), args[5].(contract.SortOrder))
	})
	return _c
}

func (_c *MockRepository_ListServices_Call) Return(_a0 []*contract.Service, _a1 error) *MockRepository_ListServices_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockRepository_ListServices_Call) RunAndReturn(run func(context.Context, *contract.PeerID, string, string, uint32, contract.SortOrder) ([]*contract.Service, error)) *MockRepository_ListServices_Call {
	_c.Call.Return(run)
	return _c
}

// Ping provides a mock function with given fields: ctx
func (_m *MockRepository) Ping(ctx context.Context) error {
	ret := _m.Called(ctx)

	if len(ret) == 0 {
		panic("no return value specified for Ping")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context) error); ok {
		r0 = rf(ctx)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_Ping_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Ping'
type MockRepository_Ping_Call struct {
	*mock.Call
}

// Ping is a helper method to define mock.On call
//   - ctx context.Context
func (_e *MockRepository_Expecter) Ping(ctx interface{}) *MockRepository_Ping_Call {
	return &MockRepository_Ping_Call{Call: _e.mock.On("Ping", ctx)}
}

func (_c *MockRepository_Ping_Call) Run(run func(ctx context.Context)) *MockRepository_Ping_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context))
	})
	return _c
}

func (_c *MockRepository_Ping_Call) Return(_a0 error) *MockRepository_Ping_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_Ping_Call) RunAndReturn(run func(context.Context) error) *MockRepository_Ping_Call {
	_c.Call.Return(run)
	return _c
}

// UpsertCertificate provides a mock function with given fields: ctx, certificate
func (_m *MockRepository) UpsertCertificate(ctx context.Context, certificate *contract.PeerCertificate) error {
	ret := _m.Called(ctx, certificate)

	if len(ret) == 0 {
		panic("no return value specified for UpsertCertificate")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.PeerCertificate) error); ok {
		r0 = rf(ctx, certificate)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_UpsertCertificate_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpsertCertificate'
type MockRepository_UpsertCertificate_Call struct {
	*mock.Call
}

// UpsertCertificate is a helper method to define mock.On call
//   - ctx context.Context
//   - certificate *contract.PeerCertificate
func (_e *MockRepository_Expecter) UpsertCertificate(ctx interface{}, certificate interface{}) *MockRepository_UpsertCertificate_Call {
	return &MockRepository_UpsertCertificate_Call{Call: _e.mock.On("UpsertCertificate", ctx, certificate)}
}

func (_c *MockRepository_UpsertCertificate_Call) Run(run func(ctx context.Context, certificate *contract.PeerCertificate)) *MockRepository_UpsertCertificate_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.PeerCertificate))
	})
	return _c
}

func (_c *MockRepository_UpsertCertificate_Call) Return(_a0 error) *MockRepository_UpsertCertificate_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_UpsertCertificate_Call) RunAndReturn(run func(context.Context, *contract.PeerCertificate) error) *MockRepository_UpsertCertificate_Call {
	_c.Call.Return(run)
	return _c
}

// UpsertContent provides a mock function with given fields: ctx, c
func (_m *MockRepository) UpsertContent(ctx context.Context, c *contract.Content) error {
	ret := _m.Called(ctx, c)

	if len(ret) == 0 {
		panic("no return value specified for UpsertContent")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.Content) error); ok {
		r0 = rf(ctx, c)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_UpsertContent_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpsertContent'
type MockRepository_UpsertContent_Call struct {
	*mock.Call
}

// UpsertContent is a helper method to define mock.On call
//   - ctx context.Context
//   - c *contract.Content
func (_e *MockRepository_Expecter) UpsertContent(ctx interface{}, c interface{}) *MockRepository_UpsertContent_Call {
	return &MockRepository_UpsertContent_Call{Call: _e.mock.On("UpsertContent", ctx, c)}
}

func (_c *MockRepository_UpsertContent_Call) Run(run func(ctx context.Context, c *contract.Content)) *MockRepository_UpsertContent_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.Content))
	})
	return _c
}

func (_c *MockRepository_UpsertContent_Call) Return(_a0 error) *MockRepository_UpsertContent_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_UpsertContent_Call) RunAndReturn(run func(context.Context, *contract.Content) error) *MockRepository_UpsertContent_Call {
	_c.Call.Return(run)
	return _c
}

// UpsertFailedContractDistribution provides a mock function with given fields: ctx, distribution
func (_m *MockRepository) UpsertFailedContractDistribution(ctx context.Context, distribution *contract.FailedDistribution) error {
	ret := _m.Called(ctx, distribution)

	if len(ret) == 0 {
		panic("no return value specified for UpsertFailedContractDistribution")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.FailedDistribution) error); ok {
		r0 = rf(ctx, distribution)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_UpsertFailedContractDistribution_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpsertFailedContractDistribution'
type MockRepository_UpsertFailedContractDistribution_Call struct {
	*mock.Call
}

// UpsertFailedContractDistribution is a helper method to define mock.On call
//   - ctx context.Context
//   - distribution *contract.FailedDistribution
func (_e *MockRepository_Expecter) UpsertFailedContractDistribution(ctx interface{}, distribution interface{}) *MockRepository_UpsertFailedContractDistribution_Call {
	return &MockRepository_UpsertFailedContractDistribution_Call{Call: _e.mock.On("UpsertFailedContractDistribution", ctx, distribution)}
}

func (_c *MockRepository_UpsertFailedContractDistribution_Call) Run(run func(ctx context.Context, distribution *contract.FailedDistribution)) *MockRepository_UpsertFailedContractDistribution_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.FailedDistribution))
	})
	return _c
}

func (_c *MockRepository_UpsertFailedContractDistribution_Call) Return(_a0 error) *MockRepository_UpsertFailedContractDistribution_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_UpsertFailedContractDistribution_Call) RunAndReturn(run func(context.Context, *contract.FailedDistribution) error) *MockRepository_UpsertFailedContractDistribution_Call {
	_c.Call.Return(run)
	return _c
}

// UpsertPeer provides a mock function with given fields: ctx, p
func (_m *MockRepository) UpsertPeer(ctx context.Context, p *contract.Peer) error {
	ret := _m.Called(ctx, p)

	if len(ret) == 0 {
		panic("no return value specified for UpsertPeer")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.Peer) error); ok {
		r0 = rf(ctx, p)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_UpsertPeer_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpsertPeer'
type MockRepository_UpsertPeer_Call struct {
	*mock.Call
}

// UpsertPeer is a helper method to define mock.On call
//   - ctx context.Context
//   - p *contract.Peer
func (_e *MockRepository_Expecter) UpsertPeer(ctx interface{}, p interface{}) *MockRepository_UpsertPeer_Call {
	return &MockRepository_UpsertPeer_Call{Call: _e.mock.On("UpsertPeer", ctx, p)}
}

func (_c *MockRepository_UpsertPeer_Call) Run(run func(ctx context.Context, p *contract.Peer)) *MockRepository_UpsertPeer_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.Peer))
	})
	return _c
}

func (_c *MockRepository_UpsertPeer_Call) Return(_a0 error) *MockRepository_UpsertPeer_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_UpsertPeer_Call) RunAndReturn(run func(context.Context, *contract.Peer) error) *MockRepository_UpsertPeer_Call {
	_c.Call.Return(run)
	return _c
}

// UpsertPeerWithRoles provides a mock function with given fields: ctx, p
func (_m *MockRepository) UpsertPeerWithRoles(ctx context.Context, p *contract.Peer) error {
	ret := _m.Called(ctx, p)

	if len(ret) == 0 {
		panic("no return value specified for UpsertPeerWithRoles")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.Peer) error); ok {
		r0 = rf(ctx, p)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_UpsertPeerWithRoles_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpsertPeerWithRoles'
type MockRepository_UpsertPeerWithRoles_Call struct {
	*mock.Call
}

// UpsertPeerWithRoles is a helper method to define mock.On call
//   - ctx context.Context
//   - p *contract.Peer
func (_e *MockRepository_Expecter) UpsertPeerWithRoles(ctx interface{}, p interface{}) *MockRepository_UpsertPeerWithRoles_Call {
	return &MockRepository_UpsertPeerWithRoles_Call{Call: _e.mock.On("UpsertPeerWithRoles", ctx, p)}
}

func (_c *MockRepository_UpsertPeerWithRoles_Call) Run(run func(ctx context.Context, p *contract.Peer)) *MockRepository_UpsertPeerWithRoles_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.Peer))
	})
	return _c
}

func (_c *MockRepository_UpsertPeerWithRoles_Call) Return(_a0 error) *MockRepository_UpsertPeerWithRoles_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_UpsertPeerWithRoles_Call) RunAndReturn(run func(context.Context, *contract.Peer) error) *MockRepository_UpsertPeerWithRoles_Call {
	_c.Call.Return(run)
	return _c
}

// UpsertSignature provides a mock function with given fields: ctx, s
func (_m *MockRepository) UpsertSignature(ctx context.Context, s *contract.Signature) error {
	ret := _m.Called(ctx, s)

	if len(ret) == 0 {
		panic("no return value specified for UpsertSignature")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *contract.Signature) error); ok {
		r0 = rf(ctx, s)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockRepository_UpsertSignature_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpsertSignature'
type MockRepository_UpsertSignature_Call struct {
	*mock.Call
}

// UpsertSignature is a helper method to define mock.On call
//   - ctx context.Context
//   - s *contract.Signature
func (_e *MockRepository_Expecter) UpsertSignature(ctx interface{}, s interface{}) *MockRepository_UpsertSignature_Call {
	return &MockRepository_UpsertSignature_Call{Call: _e.mock.On("UpsertSignature", ctx, s)}
}

func (_c *MockRepository_UpsertSignature_Call) Run(run func(ctx context.Context, s *contract.Signature)) *MockRepository_UpsertSignature_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*contract.Signature))
	})
	return _c
}

func (_c *MockRepository_UpsertSignature_Call) Return(_a0 error) *MockRepository_UpsertSignature_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockRepository_UpsertSignature_Call) RunAndReturn(run func(context.Context, *contract.Signature) error) *MockRepository_UpsertSignature_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockRepository creates a new instance of MockRepository. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockRepository(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockRepository {
	mock := &MockRepository{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
